Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/internal/syscall.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/internal/syscall.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/internal/syscall.h	(revision 342)
@@ -21,5 +21,5 @@
 typedef long syscall_arg_t;
 #endif
-
+#if 0
 __attribute__((visibility("hidden")))
 long __syscall_ret(unsigned long), __syscall(syscall_arg_t, ...),
@@ -44,5 +44,5 @@
 #endif
 #define __syscall7(n,a,b,c,d,e,f,g) (__syscall)(n,__scc(a),__scc(b),__scc(c),__scc(d),__scc(e),__scc(f),__scc(g))
-
+#endif
 #define __SYSCALL_NARGS_X(a,b,c,d,e,f,g,h,n,...) n
 #define __SYSCALL_NARGS(...) __SYSCALL_NARGS_X(__VA_ARGS__,7,6,5,4,3,2,1,0,)
@@ -50,11 +50,11 @@
 #define __SYSCALL_CONCAT(a,b) __SYSCALL_CONCAT_X(a,b)
 #define __SYSCALL_DISP(b,...) __SYSCALL_CONCAT(b,__SYSCALL_NARGS(__VA_ARGS__))(__VA_ARGS__)
-
+#if 0
 #define __syscall(...) __SYSCALL_DISP(__syscall,__VA_ARGS__)
 #define syscall(...) __syscall_ret(__syscall(__VA_ARGS__))
-
+#endif
 #define socketcall __socketcall
 #define socketcall_cp __socketcall_cp
-
+#if 0
 #define __syscall_cp0(n) (__syscall_cp)(n,0,0,0,0,0,0)
 #define __syscall_cp1(n,a) (__syscall_cp)(n,__scc(a),0,0,0,0,0)
@@ -67,4 +67,5 @@
 #define __syscall_cp(...) __SYSCALL_DISP(__syscall_cp,__VA_ARGS__)
 #define syscall_cp(...) __syscall_ret(__syscall_cp(__VA_ARGS__))
+#endif
 
 #ifndef SYSCALL_USE_SOCKETCALL
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/misc/syscall.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/misc/syscall.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/misc/syscall.c	(revision 342)
@@ -16,4 +16,4 @@
 	f=va_arg(ap, syscall_arg_t);
 	va_end(ap);
-	return __syscall_ret(__syscall(n,a,b,c,d,e,f));
+	return __syscall_ret(__syscall_nr(n,a,b,c,d,e,f));
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/__syscall_cp.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/__syscall_cp.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/__syscall_cp.c	(revision 342)
@@ -2,4 +2,5 @@
 #include "syscall.h"
 
+#undef sccp
 __attribute__((__visibility__("hidden")))
 long __syscall_cp_c();
@@ -9,9 +10,16 @@
                  syscall_arg_t x, syscall_arg_t y, syscall_arg_t z)
 {
-	return (__syscall)(nr, u, v, w, x, y, z);
+	return (__syscall_nr)(nr, u, v, w, x, y, z);
 }
 
 #ifndef __c2__
 weak_alias(sccp, __syscall_cp_c);
+#else
+long __syscall_cp_c(syscall_arg_t nr,
+	syscall_arg_t u, syscall_arg_t v, syscall_arg_t w,
+	syscall_arg_t x, syscall_arg_t y, syscall_arg_t z)
+{
+	return sccp(nr, u, v, w, x, y, z);
+}
 #endif
 
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_cancel.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_cancel.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_cancel.c	(revision 342)
@@ -31,5 +31,5 @@
 	if ((st=(self=__pthread_self())->canceldisable)
 	    && (st==PTHREAD_CANCEL_DISABLE || nr==SYS_close))
-		return __syscall(nr, u, v, w, x, y, z);
+		return __syscall_nr(nr, u, v, w, x, y, z);
 
 	r = __syscall_cp_asm(&self->cancel, nr, u, v, w, x, y, z);
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setegid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setegid.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setegid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setegid(gid_t egid)
 {
-	return __setxid(SYS_setresgid, -1, egid, -1);
+	return __setxid(__NR_setresgid, -1, egid, -1);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/seteuid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/seteuid.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/seteuid.c	(revision 342)
@@ -5,4 +5,4 @@
 int seteuid(uid_t euid)
 {
-	return __setxid(SYS_setresuid, -1, euid, -1);
+	return __setxid(__NR_setresuid, -1, euid, -1);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setgid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setgid.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setgid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setgid(gid_t gid)
 {
-	return __setxid(SYS_setgid, gid, 0, 0);
+	return __setxid(__NR_setgid, gid, 0, 0);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setregid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setregid.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setregid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setregid(gid_t rgid, gid_t egid)
 {
-	return __setxid(SYS_setregid, rgid, egid, 0);
+	return __setxid(__NR_setregid, rgid, egid, 0);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresgid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresgid.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresgid.c	(revision 342)
@@ -6,4 +6,4 @@
 int setresgid(gid_t rgid, gid_t egid, gid_t sgid)
 {
-	return __setxid(SYS_setresgid, rgid, egid, sgid);
+	return __setxid(__NR_setresgid, rgid, egid, sgid);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresuid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresuid.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setresuid.c	(revision 342)
@@ -6,4 +6,4 @@
 int setresuid(uid_t ruid, uid_t euid, uid_t suid)
 {
-	return __setxid(SYS_setresuid, ruid, euid, suid);
+	return __setxid(__NR_setresuid, ruid, euid, suid);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setreuid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setreuid.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setreuid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setreuid(uid_t ruid, uid_t euid)
 {
-	return __setxid(SYS_setreuid, ruid, euid, 0);
+	return __setxid(__NR_setreuid, ruid, euid, 0);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setuid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setuid.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setuid.c	(revision 342)
@@ -5,4 +5,4 @@
 int setuid(uid_t uid)
 {
-	return __setxid(SYS_setuid, uid, 0, 0);
+	return __setxid(__NR_setuid, uid, 0, 0);
 }
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setxid.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setxid.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/setxid.c	(revision 342)
@@ -14,5 +14,5 @@
 	struct ctx *c = p;
 	if (c->err>0) return;
-	int ret = -__syscall(c->nr, c->id, c->eid, c->sid);
+	int ret = -__syscall_nr(c->nr, c->id, c->eid, c->sid);
 	if (ret && !c->err) {
 		/* If one thread fails to set ids after another has already
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/netcmd.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/netcmd.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/netcmd.c	(revision 342)
@@ -73,7 +73,171 @@
 extern void ping4(T_IN4_ADDR *addr, uint_t tmo, uint_t len);
 
+/*
+ *  str_num -- cons_printf の数値変換
+ */
+
+static void
+str_chr(char *text, int *pos, int size, char c)
+{
+	if (*pos >= size)
+		return;
+	text[*pos] = c;
+	*pos = *pos + 1;
+}
+
+/*
+ *  str_num -- cons_printf の数値変換
+ */
+
+static int
+str_num(char *text, int *pos, int size, ulong_t 	val, int radix,
+         const char *radchar, int width, bool_t minus, char padchar)
+{
+	char	digits[24];
+	int	ix, pad, pchars;
+	bool_t	left;
+
+	if (width < 0) {
+		width = -width;
+		left = true;
+	}
+	else
+		left = false;
+
+	ix = 0;
+	do {
+		digits[ix ++] = radchar[val % radix];
+		val /= radix;
+	} while (val != 0);
+
+	if (minus)
+		digits[ix ++] = '-';
+
+	if (width > ix)
+		pchars = width;
+	else
+		pchars = ix;
+
+	pad = ix;
+	if (!left)	/* 右詰め */
+		for ( ; pad < width; pad ++)
+			str_chr(text, pos, size, padchar);
+
+	while (ix -- > 0)
+		str_chr(text, pos, size, digits[ix]);
+
+	if (left)	/* 左詰め */
+		for ( ; pad < width; pad ++)
+			str_chr(text, pos, size, padchar);
+
+	return pchars;
+}
+
+/*
+ *  str_ipv4addr -- IPv4 アドレス出力
+ */
+
+int
+str_ipv4addr (char *text, int size, T_IN4_ADDR *addr, int width)
+{
+	int len = 3, pos = 0;	/* 3 は '.' の文字数 */
+
+	len += str_num(text, &pos, size, (*addr >> 24) & 0xff, 10, radhex, 0, false, ' '); 
+	str_chr(text, &pos, size, '.');
+	len += str_num(text, &pos, size, (*addr >> 16) & 0xff, 10, radhex, 0, false, ' '); 
+	str_chr(text, &pos, size, '.');
+	len += str_num(text, &pos, size, (*addr >>  8) & 0xff, 10, radhex, 0, false, ' '); 
+	str_chr(text, &pos, size, '.');
+	len += str_num(text, &pos, size,  *addr        & 0xff, 10, radhex, 0, false, ' '); 
+
+	for ( ; len < width; len ++)
+		str_chr(text, &pos, size, ' ');
+
+	return len;
+}
+
+/*
+ *  ipv6addr -- IPv6 アドレス出力
+ */
+
+int
+str_ipv6addr (char *text, int size, const T_IN6_ADDR *addr, int width)
+{
+	int	len = 0, ix, len6, pos = 0;
+	bool_t	omit = false, zero = false;
+
+	if (addr == NULL || IN6_IS_ADDR_UNSPECIFIED(addr)) {
+		str_chr(text, &pos, size, '0');
+		str_chr(text, &pos, size, ':');
+		str_chr(text, &pos, size, ':');
+		str_chr(text, &pos, size, '0');
+		len = 4;
+	}
+	else {
+		if (in6_is_addr_ipv4mapped(addr))
+			len6 = sizeof(T_IN6_ADDR) / 2 - 2;
+		else
+			len6 = sizeof(T_IN6_ADDR) / 2;
+		for (ix = 0; ix < len6; ix ++) {
+			if (omit) {
+				len += str_num(text, &pos, size, ntohs(addr->s6_addr16[ix]), 16, radhex, 0, false, ' '); 
+				if (ix < 7) {
+					str_chr(text, &pos, size, ':');
+					len ++;
+				}
+			}
+			else if (ix > 0 && ix < 7 && addr->s6_addr16[ix] == 0)
+				zero = true;
+			else {
+				if (zero) {
+					omit = true;
+					str_chr(text, &pos, size, ':');
+					len ++;
+				}
+				len += str_num(text, &pos, size, ntohs(addr->s6_addr16[ix]), 16, radhex, 0, false, ' '); 
+				if (ix < 7) {
+					str_chr(text, &pos, size, ':');
+					len ++;
+				}
+			}
+		}
+
+		if (len6 == sizeof(T_IN6_ADDR) / 2 - 2) {
+			T_IN4_ADDR ip4addr;
+
+			ip4addr = ntohl(addr->s6_addr32[3]);
+			len += str_ipv4addr(&text[len], size - len, &ip4addr, 0);
+		}
+
+		for ( ; len < width; len ++)
+			str_chr(text, &pos, size, ' ');
+	}
+	return len;
+}
+
+/*
+ *  str_macaddr -- MAC アドレス出力
+ */
+
+int
+str_macaddr (char *text, int size, uint8_t *mac, int width)
+{
+	int oct, len, pos = 0;
+
+	for (oct = 5; oct -- > 0; ) {
+		str_num(text, &pos, size, *mac ++, 16, radhex, 2, false, '0'); 
+		str_chr(text, &pos, size, ':');
+	}
+	str_num(text, &pos, size, *mac, 16, radhex, 2, false, '0'); 
+
+	for (len = 17; len < width; len ++)
+		str_chr(text, &pos, size, ' ');
+
+	return len;
+}
+
 int usrcmd_ping(int argc, char **argv)
 {
-	int_t	tmo, size;
+	int	tmo, size;
 	char	apip = DEFAULT_API_PROTO;
 	char *line = argv[1];
@@ -153,7 +317,11 @@
 	ER ret;
 	uint32_t expire, renew, rebind;
+	char temp[30];
+	int pos;
 
 	if ((ret = dhcp4c_get_info(&svaddr, &expire, &renew, &rebind, &bind_start)) == E_OK) {
-		ntstdio_printf(&ntstdio, "DHCPv4 server: %hI,\n", &svaddr);
+		pos = str_ipv4addr(temp, sizeof(temp), &svaddr, 0);
+		temp[pos] = '\0';
+		ntstdio_printf(&ntstdio, "DHCPv4 server: %s,\n", temp);
 		ntstdio_printf(&ntstdio, "  Renew:       %u:%02u:%02u,\n",
 			renew / 3600, (renew / 60) % 60, renew % 60);
@@ -279,4 +447,6 @@
 	int		count, dcount, col;
 	T_IN6_ADDR	in6_addr;
+	char temp[30];
+	int pos;
 
 	ntstdio_printf(&ntstdio, "%10s section: %d\n", title, scount);
@@ -294,5 +464,7 @@
 			memcpy((void*)&in4_addr, (void*)(msg + rr.rdata_offset), sizeof(in4_addr));
 			in4_addr = ntohl(in4_addr);
-			ntstdio_printf(&ntstdio, "    IPv4 addr: %hI\n", &in4_addr);
+			pos = str_ipv4addr(temp, sizeof(temp), &in4_addr, 0);
+			temp[pos] = '\0';
+			ntstdio_printf(&ntstdio, "    IPv4 addr: %s\n", temp);
 			break;
 		case DNS_TYPE_NS:
@@ -316,5 +488,7 @@
 		case DNS_TYPE_AAAA:
 			memcpy((void*)&in6_addr, (void*)(msg + rr.rdata_offset), sizeof(in6_addr));
-			ntstdio_printf(&ntstdio, "    IPv6 addr: %lI\n", &in6_addr);
+			pos = str_ipv6addr(temp, sizeof(temp), &in6_addr, 0);
+			temp[pos] = '\0';
+			ntstdio_printf(&ntstdio, "    IPv6 addr: %s\n", temp);
 			break;
 		default:
@@ -347,4 +521,6 @@
 	T_IN4_ADDR	in4_addr;
 #endif
+	char temp[30];
+	int pos;
 
 #if defined(SUPPORT_INET6)
@@ -363,6 +539,9 @@
 	if (IN6_IS_ADDR_UNSPECIFIED(&in6_addr))
 		ntstdio_printf(&ntstdio, "not available.\n");
-	else
-		ntstdio_printf(&ntstdio, "%lI.\n", &in6_addr);
+	else {
+		pos = str_ipv6addr(temp, sizeof(temp), &in6_addr, 0);
+		temp[pos] = '\0';
+		ntstdio_printf(&ntstdio, "%s.\n", temp);
+	}
 #endif	/* of #if defined(SUPPORT_INET6) */
 
@@ -372,6 +551,9 @@
 	if (in4_addr == IPV4_ADDRANY)
 		ntstdio_printf(&ntstdio, "not available.\n");
-	else
-		ntstdio_printf(&ntstdio, "%hI.\n", &in4_addr);
+	else {
+		pos = str_ipv4addr(temp, sizeof(temp), &in4_addr, 0);
+		temp[pos] = '\0';
+		ntstdio_printf(&ntstdio, "%s.\n", temp);
+	}
 #endif	/* of #if defined(SUPPORT_INET4) */
 }
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/netcmd.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/netcmd.h	(revision 342)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/netcmd.h	(revision 342)
@@ -0,0 +1,64 @@
+/*
+ *  TOPPERS ECHONET Lite Communication Middleware
+ * 
+ *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ * 
+ *  ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+ *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+ *  å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+ *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+ *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+ *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+ *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+ *      ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+ *      è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+ *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+ *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+ *      ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+ *      ã¨ï¼
+ *    (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+ *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+ *    (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+ *        å ±åãããã¨ï¼
+ *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+ *      å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+ *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+ *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+ *      å
+è²¬ãããã¨ï¼
+ * 
+ *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+ *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+ *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+ *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+ *  ã®è²¬ä»»ãè² ããªãï¼
+ * 
+ *  @(#) $Id$
+ */
+#ifndef NETCMD_H
+#define NETCMD_H
+
+int str_ipv4addr(char *text, int size, T_IN4_ADDR *addr, int width);
+int str_ipv6addr(char *text, int size, const T_IN6_ADDR *addr, int width);
+int str_macaddr(char *text, int size, uint8_t *mac, int width);
+
+int usrcmd_ping(int argc, char **argv);
+int usrcmd_dhcp4c(int argc, char **argv);
+int usrcmd_dnsc(int argc, char **argv);
+int usrcmd_ntpc(int argc, char **argv);
+
+#endif /* NETCMD_H */
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/ntshell_main.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/ntshell_main.c	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/ntshell_main.c	(revision 342)
@@ -59,5 +59,4 @@
 #include "ntshell_main.h"
 #include "socket_stub.h"
-#include "mbed_api.h"
 #include "usb_hbth.h"
 
@@ -162,16 +161,4 @@
 }
 
-void shellif_into()
-{
-	/* メインタスクの優先度より高くする */
-	chg_pri(NTSHELL_PRIORITY, main_task_priority);
-}
-
-void shellif_outof()
-{
-	/* ntshellタスクの優先度に戻す */
-	chg_pri(NTSHELL_PRIORITY, NTSHELL_PRIORITY);
-}
-
 void shell_abort()
 {
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/shellif.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/shellif.h	(revision 341)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/shellif.h	(revision 342)
@@ -282,6 +282,4 @@
 
 char *basename(char *);
-void shellif_into();
-void shellif_outof();
 
 struct regs_t {
@@ -295,5 +293,5 @@
 };
 
-void no_implement(const char *text);
+long no_implement(const char *text);
 void __mbedcall_cp_asm();
 
